using System;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Xml.Linq;

namespace Telerik.Examples
{
	/// <summary>
	/// Summary description for Contacts.
	/// </summary>
	public partial class Contacts : Telerik.Reporting.Report
	{
		public Contacts()
		{
			InitializeComponent();
		}

		private void Contacts_NeedDataSource(object sender, EventArgs e)
		{
			// Read the embedded XML file
			var assembly = Assembly.GetExecutingAssembly();
			var stream = assembly.GetManifestResourceStream("Telerik.Examples.Data.contacts.xml");
			var xml = XDocument.Load(new StreamReader(stream));

			// Query the XML data
			var contacts = from c in xml.Descendants("Contact")
						   select new Contact
						   {
							   ContactID = Convert.ToInt32(c.Element("ID").Value),
							   Name = c.Element("Name").Value,
							   Age = Convert.ToInt32(c.Element("Age").Value),
							   Sex = c.Element("Sex").Value,
							   Email = c.Element("Email").Value,
							   Phone = c.Element("Phone").Value,
						   };
			(sender as Telerik.Reporting.Processing.Report).DataSource = contacts.ToList<Contact>();
		}
	}
}